Bug 1411811 (CVE-2017-5226) - CVE-2017-5226 bubblewrap: Nonprivileged session can escape to the parent session by using the TIOCSTI ioctl
Summary: CVE-2017-5226 bubblewrap: Nonprivileged session can escape to the parent sess...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5226
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170109,repo...
Depends On: 1411814 1411815
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 14:46 UTC by Andrej Nemec
Modified: 2019-06-08 21:42 UTC (History)
4 users (show)

Fixed In Version: bubblewrap 0.1.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-31 14:00:42 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-10 14:46:44 UTC
When executing a program via the bubblewrap sandbox, the nonpriv
session can escape to the parent session by using the TIOCSTI ioctl to
push characters into the terminal's input buffer, allowing an attacker
to escape the sandbox.

References:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850702

Upstream bugs:

https://github.com/projectatomic/bubblewrap/issues/142
https://github.com/projectatomic/bubblewrap/pull/143

Upstream patch:

https://github.com/projectatomic/bubblewrap/commit/d7fc532c42f0e9bf427923bab85433282b3e5117

Comment 1 Andrej Nemec 2017-01-10 14:47:24 UTC
Created bubblewrap tracking bugs for this issue:

Affects: epel-7 [bug 1411815]
Affects: fedora-all [bug 1411814]

Comment 2 Colin Walters 2018-05-31 14:00:42 UTC
We decided not to change bubblewrap for this; see https://github.com/projectatomic/bubblewrap/pull/150

Effectively it's something software which *uses* flatpak has to choose how to handle.  (Also really the kernel should make it easy to disallow)


Note You need to log in before you can comment on or make changes to this bug.